# coding: utf-8

from sqlalchemy import (
    MetaData, Table, Column, String, UnicodeText, DateTime, Integer)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    journal_table = Table(
        'journal', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),

        Column('request_id', String(64), nullable=False),
        Column('parent_request_id', String(64), nullable=True),
        Column('object_type', String(64), nullable=False),
        Column('object_id', String(64), nullable=False),
        Column('action', String(64), nullable=False),
        Column('status_before', String(64), nullable=True),
        Column('status_after', String(64), nullable=True),
        Column('user_name', String(64), nullable=False),
        Column('user_id', String(64), nullable=False),
        Column('result', UnicodeText(), nullable=True),
    )
    journal_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    journal_table = Table('journal', meta)
    journal_table.drop()
