# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, Enum


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)

    status = Column('status', Enum('Success', 'Failure', 'Unknown'),
                    nullable=True)
    journal_table.create_column(status)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)
    journal_table.drop_column('status')
