# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, DateTime, Integer


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers = Table('servers', meta, autoload=True)

    servers.create_column(Column('created_at', DateTime))
    servers.create_column(Column('updated_at', DateTime))
    servers.create_column(Column('deleted_at', DateTime))
    servers.create_column(Column('deleted', Integer))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers = Table('servers', meta, autoload=True)
    servers.drop_column('created_at')
    servers.drop_column('updated_at')
    servers.drop_column('deleted_at')
    servers.drop_column('deleted')
