# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, DateTime, Integer


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    repaired_servers = Table('repaired_servers', meta, autoload=True)

    repaired_servers.create_column(Column('created_at', DateTime))
    repaired_servers.create_column(Column('updated_at', DateTime))
    repaired_servers.create_column(Column('deleted_at', DateTime))
    repaired_servers.create_column(Column('deleted', Integer))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    repaired_servers = Table('repaired_servers', meta, autoload=True)
    repaired_servers.drop_column('created_at')
    repaired_servers.drop_column('updated_at')
    repaired_servers.drop_column('deleted_at')
    repaired_servers.drop_column('deleted')
