# coding: utf-8

from sqlalchemy import (
    MetaData, Table, Column, Integer, Boolean, String, DateTime)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table(
        'shadow_servers', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('instance_id', String(36), nullable=False),
        Column('is_movable', Boolean, nullable=False, default=True))
    servers_table.create()

    servers_table = Table(
        'shadow_repaired_servers', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('instance_id', String(36), nullable=False),
        Column('repaired_at', DateTime, nullable=True),
    )
    servers_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tables = ('servers', 'repaired_servers', )
    for table_name in tables:
        table = Table('shadow_' + table_name, meta)
        table.drop()
