# coding: utf-8

from migrate.changeset.constraint import UniqueConstraint
from sqlalchemy import MetaData, Table


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers = Table('servers', meta, autoload=True)
    servers.c.instance_id.alter(unique=False)

    uniq = UniqueConstraint('instance_id', 'deleted', table=servers,
                            name='uniq_servers0instance_id0deleted')
    uniq.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers = Table('servers', meta, autoload=True)

    uniq = UniqueConstraint('instance_id', 'deleted', table=servers,
                            name='uniq_servers0instance_id0deleted')
    uniq.drop()
    servers.c.instance_id.alter(unique=True)
